import { ContainerModule, interfaces, Container } from 'inversify';
import { TYPES } from '../constants';
import { JavascriptService } from '../service';

export const javascriptModule: (settings: any, pubsub?) => interfaces.ContainerModule =
    (settings) => new ContainerModule((bind: interfaces.Bind) => {
        bind(TYPES.LANGUAGE_TYPE_JAVASCRIPT).to(JavascriptService)
            .inSingletonScope();
        bind(TYPES.LANGUAGE_TYPE_TYPESCRIPT).to(JavascriptService)
            .inSingletonScope();
    });
